package no.ntnu.idi.deid.decision.validators.findPhrase;

import no.ntnu.idi.deid.decision.validators.findPhrase.helpers.ExactDistance;
import no.ntnu.idi.deid.decision.validators.findPhrase.helpers.LevenshteinDistanceLetter;
import no.ntnu.idi.deid.decision.validators.findPhrase.helpers.LevenshteinWordDistance;
import no.ntnu.idi.deid.documentunits.Phrase;
import no.ntnu.idi.deid.documentunits.Sentence;

public enum DistanceMeasure implements PhraseMatcher {

//	Exact {
//		@Override
//		public Phrase findPhrase(Sentence sentence, String phrase, int distance) {
//			return ExactDistance.findPhrase(sentence, phrase);
//		}	
//	},
	LevenshteinDistance {

		@Override
		public Phrase findPhrase(Sentence sentence, String phrase, int distance) {
			return LevenshteinDistanceLetter.findPhrase(sentence, phrase, distance);
		}
	},
	LevenshteinDistanceWord {
		@Override
		public Phrase findPhrase(Sentence sentence, String phrase, int distance) {
			return LevenshteinWordDistance.findPhrase(sentence, phrase, distance);
		};
	}


	
}
