package no.ntnu.idi.deid.patternmatching.search.regularexpression;

import java.util.regex.Pattern;

import no.ntnu.idi.deid.searchresultunits.CategoryTag;

public class PatternType {

	private CategoryTag categoryTag;
	private Pattern pattern;
	
	/**
	 * Standard Constructor
	 * @param pattern regular expression pattern
	 * @param categoryTag The category tag assosiated with the pattern
	 */
	
	public PatternType(Pattern pattern, CategoryTag categoryTag){
		this.categoryTag = categoryTag;
		this.pattern = pattern;
	}

	public CategoryTag getCategoryTag() {
		return categoryTag;
	}

	public Pattern getPattern() {
		return pattern;
	}
	
	
	
}
