package no.ntnu.idi.deid.preprocessor.postagger;

public enum POSTag {
	
	DOT("."),
	ADV("adv"),
	INTERJ("interj"),
	SUBJ("subj"),
	KONJ("konj"),
	PREP("prep"),
	ADJ("adj"),
	NOUN_PROP("noun_prop"),
	NOUN("noun"),
	PAR("par"),
	PRON("pron"),
	DET("det"),
	INFM("infm"),
	COMMA("comma"),
	VERB("verb"),
	NUMBER("tall");
	
	String value;
	
	POSTag(String s){
		value = s;
	}
	
	public static POSTag setTagByValue(String v){
		POSTag[] tags = POSTag.values();
		for (int i = 0; i < tags.length; i++) {
			if (tags[i].value.equals(v)) {
				return tags[i];
			}
		}
		return null;
	}
	
	
}

