package no.ntnu.idi.deid.preprocessor.wordcount;

import java.util.List;
import java.util.Map;
import no.ntnu.idi.deid.documentunits.Document;
import no.ntnu.idi.deid.documentunits.Section;
import no.ntnu.idi.deid.documentunits.Sentence;

public class SentenceCountManager extends CountManager {

	public SentenceCountManager(Document d) {
		super(d);
	}
	
	@Override
	protected void documentCount(Document d) {
		for (Section s : d) {
			for (Sentence sen : s) {
					insert(sen.getStripped());
			}
		}
		
	}
	


}
