package no.ntnu.idi.deid.preprocessor.wordcount;

import java.util.List;
import java.util.Map;

import no.ntnu.idi.deid.documentunits.Document;
import no.ntnu.idi.deid.documentunits.Section;
import no.ntnu.idi.deid.documentunits.Sentence;
import no.ntnu.idi.deid.documentunits.Token;

public class WordCountManager extends CountManager {

	
	
	public WordCountManager(Document d) {
		super(d);
	}
	
	public WordCountManager(List<Map<String, Integer>> inputMaps) {
		super(inputMaps);
	}


	protected void documentCount(Document d) {
		for (Section s : d) {
			for (Sentence sen : s) {
				for (Token t : sen) {
					insert(t.getStripped());
				}
			}
		}
	}
//


}
