package no.ntnu.idi.evaluering;

public class EvaluationEntity {
	private String mToken;
	private boolean mSensitivity;
	
	public EvaluationEntity(String token, boolean sensitivity) {
		mToken = token;
		mSensitivity = sensitivity;
	}
	
	public String getKey() {
		return mToken;
	}

	public boolean isSensitiv() {
		return mSensitivity;
	}
	
	public String isSensitivToString() {
		if(mSensitivity) {
			return "true";
		}
		else {
			return "false";
		}
	}
	
	public String toString() {
		return mToken+" " + mSensitivity;
	}
	

}
