package no.ntnu.idi.lemma;

import java.util.Set;

import no.ntnu.idi.deid.preprocessor.postagger.POSTag;

public class NorkompleksGroup {
	
//	private int groupId;//overflødig?
	private String stemWord;
	private Set<String> wordList;
	private POSTag pos;
	
	public NorkompleksGroup(String stemWord, Set<String> wordList, POSTag pos) {
	//	this.groupId = groupId;
		this.wordList = wordList;
		this.pos = pos;
		this.stemWord = stemWord;
	}
	
	public void addWord(String word) {
		wordList.add(word);
	}
	
	public String getStemWord() {
		return stemWord;
	}

	public Set<String> getWordList() {
		return wordList;
	}

	public POSTag getPos() {
		return pos;
	}
	
}
