#!/usr/bin/env python
# -*- coding:utf-8 -*-
import simstring
import sys
import argparse

# Create a SimString database from a text fil
def buildDatabase(inputTextFile, outputDatabaseFile):
	db = simstring.writer(outputDatabaseFile, 3, False, True)
	lines = [line.strip() for line in open(inputTextFile, 'r')]
	for line in lines:
		db.insert(line)
	db.close()

def main(argv):	
	parser = argparse.ArgumentParser()
	parser.add_argument('inputfile', nargs=1,help='a textfile')
	parser.add_argument('outputfile', nargs=1,help='location of output databaseFile')
	args = parser.parse_args()
	input = args.inputfile[0]
	output = args.outputfile[0]
	buildDatabase(input, output)

if __name__ == "__main__":
	main(sys.argv[1:]) 
