package no.ntnu.idi.patternmatching.search.dictionary.phrase.test;

import static org.junit.Assert.*;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import no.ntnu.idi.deid.config.Constants;
import no.ntnu.idi.deid.config.FilePaths;
import no.ntnu.idi.deid.patternmatching.search.dictionary.phrase.Simstring;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

public class SimstringTest {

	File file;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
		file = Simstring.buildSimstringDatabase(Constants.NCSP_TEXT_FILE, Constants.NCSP_DB_FILE);
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testQuery() {
		List<String> resultList = Simstring
				.simStringQuery(file, new File(
						Constants.TEMP_PHRASERESULT_FILENAME),
						Constants.COSINE_SIMILIRITY_THRESHOLD,"Eksplorativ kraniotomi"
						);

		assertTrue(resultList.size()>0);
		assertEquals(5, resultList.size());
	}

}
